ParameterParser (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.query.spi
Class ParameterParser

    java.lang.Object
      org.hibernate.engine.query.spi.ParameterParser

    public class ParameterParser

extends Object

The single available method `parse(java.lang.String, org.hibernate.engine.query.spi.ParameterParser.Recognizer)` is responsible for parsing a query string and recognizing tokens in relation to parameters (either named, JPA-style, or ordinal) and providing callbacks about such recognitions.

Nested Class Summary
`static interface` | `ParameterParser.Recognizer`

Method Summary
`static void` | `parse(String sqlString, ParameterParser.Recognizer recognizer)` Performs the actual parsing and tokenizing of the query string making appropriate callbacks to the given recognizer upon recognition of the various tokens.
`static boolean` | `startsWithEscapeCallTemplate(String sqlString)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### parse

    public static void parse(String sqlString,
                             ParameterParser.Recognizer recognizer)
                      throws QueryException

  Performs the actual parsing and tokenizing of the query string making appropriate callbacks to the given recognizer upon recognition of the various tokens.

  Note that currently, this only knows how to deal with a single output parameter (for callable statements). If we later add support for multiple output params, this, obviously, needs to change.

  Parameters:
    `sqlString` - The string to be parsed/tokenized.
    `recognizer` - The thing which handles recognition events.
  Throws:
    `QueryException` - Indicates unexpected parameter conditions.

### startsWithEscapeCallTemplate

    public static boolean startsWithEscapeCallTemplate(String sqlString)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.